Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1288893

Summary: Update to 0.9.1; add py3 subpkg; other fixes
Product: [Fedora] Fedora Reporter: Igor Gnatenko <ignatenko>
Component: python-concurrentloghandlerAssignee: Dan Callaghan <dcallagh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dcallagh, pingou, torsava
Target Milestone: ---Keywords: Patch
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-concurrentloghandler-0.9.1-1.fc24 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-30 21:27:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1288886    
Bug Blocks: 1276941, 1285816    
Attachments:
Description Flags
[PATCH] py3; new guidelines, portalocker; 0.9.1 none

Description Igor Gnatenko 2015-12-06 22:35:50 UTC
Created attachment 1102947 [details]
[PATCH] py3; new guidelines, portalocker; 0.9.1

- Update to 0.9.1
- Add python3 subpackage
- Follow new packaging guidelines
- Run tests
- Unbundle portalocker
- Drop egg

Comment 1 Dan Callaghan 2016-01-20 01:33:56 UTC
Thanks for the patch Igor, sorry it has taken me so long to get to this.

According to the upstream bzr repo, 0.9.1 is the "unstable" branch but I guess at this point it is probably safe to switch. The only differences appear to be some refactored handling of lock/log file opening, and a new param to lazily open the log file.

The patch looks good to me but I guess we need to wait until python-portalocker is approved and built before we can update this.

Comment 2 Jan Kurik 2016-02-24 14:06:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Igor Gnatenko 2016-03-27 15:33:51 UTC
(In reply to Dan Callaghan from comment #1)
> Thanks for the patch Igor, sorry it has taken me so long to get to this.
> 
> According to the upstream bzr repo, 0.9.1 is the "unstable" branch but I
> guess at this point it is probably safe to switch. The only differences
> appear to be some refactored handling of lock/log file opening, and a new
> param to lazily open the log file.
> 
> The patch looks good to me but I guess we need to wait until
> python-portalocker is approved and built before we can update this.

Oops, yes. You are right. Can you do review of it?

Comment 4 Mike McCune 2016-03-28 22:26:18 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune with any questions

Comment 5 Fedora Update System 2016-06-21 20:16:54 UTC
python-concurrentloghandler-0.9.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e0d63f0f9

Comment 6 Fedora Update System 2016-06-22 23:03:19 UTC
python-concurrentloghandler-0.9.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e0d63f0f9

Comment 7 Fedora Update System 2016-06-30 21:27:56 UTC
python-concurrentloghandler-0.9.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.